<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout.html}"
>
<head>
    <title>Main</title>
    <!--    <link rel="stylesheet" th:href="@{/css/newspaceship.css}" type="text/css"/>-->
</head>

<body>
<div layout:fragment="content">
    <h1>Main</h1>
    <p th:text="#{greeting}"></p>


    <table class="table table-bordered">
        <thead>
        <tr>
            <th scope="col">Client</th>
            <th scope="col">Ip</th>
            <th scope="col">Port</th>
            <th scope="col">Connected</th>
            <th scope="col">Is playing</th>
        </tr>
        </thead>
        <tbody>
        <tr th:if="${clients.isEmpty()}">
            <a scope="row"> No clients</a>
        </tr>
        <tr th:each="client : ${clients}">
            <td scope="row">Client <span th:text="${client.getId()}"> Id </span></td>
            <td><span th:text="${client.ip}"> ip </span></td>

            <td><span th:text="${client.port}"> port </span></td>
            <td><span th:text="${client.isConnected()}"> isConnected </span></td>
            <td><span th:text="${client.isPlaying()}"> isPlaying </span></td>
        </tr>
        </tbody>
    </table>

    <div id="playedContent">
        <div class="text-center">
            <div class="spinner-border" role="status">
                <span class="sr-only">Loading...</span>
            </div>
        </div>
    </div>



</div>
</body>


<footer layout:fragment="content_js">
    <script type="module" src="/js/common.js"></script>
    <script type="module" src="/js/main.js"></script>
</footer>